<template>
  <view id="box">
    <pre v-if="options.outputType == 'XML' || options.outputType == 'JSON'">
      <code>
        {{ data }}
      </code>
    </pre>
    <div v-else v-html="data"></div>
  </view>
</template>

<script>
import { getMedicalDataOutput, getPersonDataOutput } from "@/api/index.js";

export default {
  data() {
    return {
      options: {},
      data: ""
    };
  },
  onLoad(options) {
    this.options = options;
    this.innt();
  },
  methods: {
    innt() {
      if (this.options.type == "Person") {
        getPersonDataOutput({
          personId: this.options.id,
          dataTypeEO: this.options.outputType
        }).then((res) => {
          this.data = res;
        });
      } else {
        getMedicalDataOutput(this.options).then((res) => {
          this.data = res;
        });
      }
    }
  }
};
</script>

<style>
#box {
  font-size: 14px;
}
</style>
